---
# defaults/main.yml
# define default variable values here

jenkins_repo_url: deb http://pkg.jenkins-ci.org/debian binary/
jenkins_repo_key_url: http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key

jenkins_connection_delay: 5
jenkins_connection_retries: 60
jenkins_hostname: localhost
jenkins_port: 8080
jenkins_jar_location: /opt/jenkins-cli.jar
jenkins_home: /var/lib/jenkins
jenkins_plugins:
  - git
  - scm-sync-configuration
  - ssh
  - ansible
  - bitbucket-pullrequest-builder
  - windows-slaves
  - ssh-slaves
  - ant
  - cloudbees-folder
  - role-strategy
  - phing
  - build-pipeline-plugin
  - delivery-pipeline-plugin
  - deployment-sphere
  - ownership

jenkins_git_user: jenkins
jenkins_git_email: jenkins@xai-corp.net


http_standard_port: 80